curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"123",
"456",
"789"
],
"recordIdsToRemove": [
"654"
]
}
'{
"recordIdsAdded": [
"123",
"456"
],
"recordIdsMissing": [
"789"
],
"recordIdsRemoved": [
"654"
]
}Ajouter et/ou supprimer des fiches d’informations qui ont déjà été créées dans le système vers et/ou depuis une liste.
Ce point de terminaison ne fonctionne que pour les listes ayant un « processingType » de « MANUEL » ou « INSTANTANÉ ».
curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"123",
"456",
"789"
],
"recordIdsToRemove": [
"654"
]
}
'{
"recordIdsAdded": [
"123",
"456"
],
"recordIdsMissing": [
"789"
],
"recordIdsRemoved": [
"654"
]
}Produits pris en charge
Portées requises
cms.membership.access_groups.writecrm.lists.readcrm.lists.writeThe access token received from the authorization server in the OAuth 2.0 flow.
L'ID ILS de la liste « MANUEL » ou « INSTANTANÉ ».
The IDs of the records to add and/or remove from the list.
Successful response
The IDs of the records that were added, removed, and/or found to be missing as a result of the
membership update request.
Les identifiants des fiches d'informations « manquantes » (c.-à-d. qui n'existaient pas dans le portail) et qui n'ont donc pas été « ajoutées » ou « supprimées ».
Les identifiants des fiches d'informations qui ont été « supprimées » de la liste.